"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const table_interactive_1 = require("@src/table-interactive");
const utils_1 = require("./support/utils");
test('should get an interactive table', () => __awaiter(void 0, void 0, void 0, function* () {
    // Arrange
    const htmlString = yield (0, utils_1.getHTMLFile)('table_interactive.html');
    // Act
    const dataFrame = (0, table_interactive_1.toInteractiveDataFrame)(htmlString);
    // Assert
    expect(dataFrame).toEqual([
        {
            Person: {
                attributes: {
                    id: 'person-1',
                    name: 'person-1',
                    'data-test-id': 'person-chris',
                },
                type: 'select',
            },
            Likes: {
                attributes: {
                    id: 'likes-1',
                    name: 'likes-1',
                    'data-test-id': 'likes-chris',
                },
                type: 'textarea',
            },
            Age: {
                attributes: {
                    type: 'number',
                    id: 'age-1',
                    name: 'age-1',
                    value: '22',
                    'data-testid': 'age-1',
                },
                type: 'input',
            },
        },
        {
            Person: {
                attributes: {
                    id: 'person-2',
                    name: 'person-2',
                    'data-test-id': 'person-dennis',
                },
                type: 'select',
            },
            Likes: {
                attributes: {
                    id: 'likes-2',
                    name: 'likes-2',
                    'data-test-id': 'likes-dennis',
                },
                type: 'textarea',
            },
            Age: {
                attributes: {
                    type: 'number',
                    id: 'age-2',
                    name: 'age-2',
                    value: '45',
                    'data-testid': 'age-2',
                },
                type: 'input',
            },
        },
        {
            Person: {
                attributes: {
                    id: 'person-3',
                    name: 'person-3',
                    'data-test-id': 'person-sarah',
                },
                type: 'select',
            },
            Likes: {
                attributes: {
                    id: 'likes-3',
                    name: 'likes-3',
                    'data-test-id': 'likes-sarah',
                },
                type: 'textarea',
            },
            Age: {
                attributes: {
                    type: 'number',
                    id: 'age-3',
                    name: 'age-3',
                    value: '29',
                    'data-testid': 'age-3',
                },
                type: 'input',
            },
        },
        {
            Person: {
                attributes: {
                    id: 'person-4',
                    name: 'person-4',
                    'data-test-id': 'person-karen',
                },
                type: 'select',
            },
            Likes: {
                attributes: {
                    id: 'likes-4',
                    name: 'likes-4',
                    'data-test-id': 'likes-karen',
                },
                type: 'textarea',
            },
            Age: {
                attributes: {
                    type: 'number',
                    id: 'age-4',
                    name: 'age-4',
                    value: '36',
                    'data-testid': 'age-4',
                },
                type: 'input',
            },
        },
    ]);
}));
